Bug 178019 - owner module will not work after update from FC3 to 4
owner module will not work after update from FC3 to 4
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 09:02 EST by Frank Büttner
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 09:59:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2006-01-17 09:02:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have update from FC3 to FC4. Now my iptables rules will not work.
I have found that this is the probelatic rule:
iptables -A OUTPUT -m owner --cmd-owner acroread -j DROP

Version-Release number of selected component (if applicable):
iptables-1.3.0-2

How reproducible:
Always

Steps to Reproduce:
1. run iptables -A OUTPUT -m owner --cmd-owner acroread -j DROP

  

Actual Results:  error:
iptables: Invalid argument

Expected Results:  a working IP tables rule

Additional info:
Comment 1 Christian Iseli 2007-01-22 06:15:09 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Frank Büttner 2007-01-22 06:21:43 EST
iptables-1.3.5-1.2:
iptables -A OUTPUT -m owner --cmd-owner acroread -j DROP
iptables: Unknown error 4294967295
Comment 3 Frank Büttner 2007-02-09 09:32:12 EST
On FC6: same error
Comment 4 Thomas Woerner 2007-02-09 09:46:51 EST
Please have a look at /var/log/messages if you are using the command. You will
get: ipt_owner: pid, sid and command matching not supported anymore

The only thing I can do, is to drop the affected options for ipt_owner from the
owner module and the man page.
Comment 5 Frank Büttner 2007-02-09 09:59:44 EST
Then we shut set it to CANTFIX, because the netfilter developer have remove this
function.

Note You need to log in before you can comment on or make changes to this bug.